%define tarname		%{name}-%{oversion}
%define oversion	1.4rc5
%define rcver		rc5
%define major		1
%define libname		%mklibname aa %{major}
%define develname	%mklibname aa -d

Name:		aalib
Version:	1.4.0
Release:	%mkrel -c %{rcver} 36
Summary:	AA (Ascii Art) library
License:	LGPLv2
Group:		System/Libraries
URL:		https://aa-project.sourceforge.net/aalib/
Source0:	https://sourceforge.net/projects/aa-project/files/aa-lib/%{oversion}/%{tarname}.tar.bz2
Patch0:		aalib-info.patch
Patch1:		aalib-rpath.patch
Patch2:		aalib-1.4-automake18.patch
Patch3:		aalib-1.4.0-automake-1.13.patch
Patch4:		aalib-1.4rc5-bug149361.patch
Patch6:		aalib-c99.patch
Patch7:		aalib-1.4_rc5-free-offset-pointer.patch
Patch8:		aalib-1.4_rc5-fix-aarender.patch
# Modern ncurses has an opaque WINDOW structure (you cannot address its members directly)
# Use the getmaxx() and getmaxy() functions provided by ncurses instead.
Patch9:		aalib-1.4rc5-opaque-ncurses-fix.patch 
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(slang)
BuildRequires:	gpm-devel
BuildRequires:	texinfo

%description
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

#--------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	AA (Ascii Art) library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

#--------------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Header files and libraries for developing apps which will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libaa-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

Install this package if you want to develop applications that
will use the %{name} library.

#--------------------------------------------------------------------------------

%package	progs
Summary:	Tools to %{name}
Group:		Development/C
Requires:	%{libname} = %{version}

%description	progs
AA-lib tools.

#--------------------------------------------------------------------------------
%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
		--disable-static
%make_build

%install
%make_install

#multiarch
%multiarch_binaries %{buildroot}%{_bindir}/aalib-config

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc NEWS README
%{_libdir}/libaa.so.%{major}{,.*}

%files -n %{develname}
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/%{name}-config
%multiarch %{multiarch_bindir}/%{name}-config
%{_libdir}/libaa.so
%{_infodir}/%{name}.info.*
%{_includedir}/%{name}.h
%{_datadir}/aclocal/%{name}.m4
%{_mandir}/man3/aa*.3.*
%{_mandir}/man3/mem_d.3.*
%{_mandir}/man3/save_d.3.*

%files progs
%doc README
%{_bindir}/aafire
%{_bindir}/aainfo
%{_bindir}/aasavefont
%{_bindir}/aatest
%{_mandir}/man1/aafire.1.*


%changelog
* Mon Sep 23 2024 daviddavid <daviddavid> 1.4.0-0.rc5.36.mga10
+ Revision: 2100617
- one more build fixes from fedora
- apply two fixes from gentoo
- fix aalib to handle opaque WINDOW in ncurses
- fix patch macro syntax
- fixes FTBFS

* Sat Mar 19 2022 umeabot <umeabot> 1.4.0-0.rc5.35.mga9
+ Revision: 1800290
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 ovitters <ovitters> 1.4.0-0.rc5.34.mga8
+ Revision: 1615976
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-0.rc5.33.mga8
+ Revision: 1511560
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.4.0-0.rc5.32.mga7
+ Revision: 1297264
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.4.0-0.rc5.31.mga6
+ Revision: 944588
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-0.rc5.30.mga5
+ Revision: 742136
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-0.rc5.29.mga5
+ Revision: 686437
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-0.rc5.28.mga5
+ Revision: 677670
- Mageia 5 Mass Rebuild

* Wed Apr 02 2014 daviddavid <daviddavid> 1.4.0-0.rc5.27.mga5
+ Revision: 611381
- drop old and unneeded Mdv era obsoletes/provides
- disable static build and drop .la files
- prefer use pkgconfig on BRs
- fix link url for Source0
- fix license

* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-0.rc5.26.mga4
+ Revision: 532140
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 fwang <fwang> 1.4.0-0.rc5.25.mga4
+ Revision: 467124
- add debian patch to build with latest texinfo

* Fri Jan 11 2013 umeabot <umeabot> 1.4.0-0.rc5.25.mga3
+ Revision: 345160
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 cjw <cjw> 1.4.0-0.rc5.24.mga3
+ Revision: 336260
- patch3: fix build with automake 1.13

* Tue Sep 13 2011 fwang <fwang> 1.4.0-0.rc5.23.mga2
+ Revision: 142866
- drop .la files
+ ahmad <ahmad>
- drop old/unneeded scriptlets
- imported package aalib


* Wed Jan 05 2011 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-0.rc5.21mdv2011.0
+ Revision: 628709
- rebuild

  + Funda Wang <fwang@mandriva.org>
    - tighten BR

* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-0.rc5.20mdv2011.0
+ Revision: 603166
- rebuild

* Wed Feb 17 2010 Funda Wang <fwang@mandriva.org> 1.4.0-0.rc5.19mdv2010.1
+ Revision: 506947
- rebuild for missing SRPM

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-0.rc5.18mdv2010.0
+ Revision: 413018
- rebuild

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 1.4.0-0.rc5.17mdv2009.0
+ Revision: 217182
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Wed Oct 24 2007 Götz Waschk <waschk@mandriva.org> 1.4.0-0.rc5.17mdv2008.1
+ Revision: 101718
- new devel name
- update license tag

* Fri Jun 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.4.0-0.rc5.17mdv2008.0
+ Revision: 34287
- Rebuild with libslang2.


* Mon Aug 21 2006 Emmanuel Andry <eandry@mandriva.org> 1.4.0-0.rc5.16mdv2007.0
- %%mkrel

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.4.0-0.rc5.15mdk
- Rebuild

* Wed Feb 09 2005 Abel Cheung <deaddog@mandrake.org> 1.4.0-0.rc5.14mdk
- Use automake 1.9
- P2: compatibility with automake >= 1.8

* Tue Feb 01 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4.0-0.rc5.13mdk
- multiarch
- fix summary-ended-with-dot

* Fri Jul 23 2004 Marcel Pol <mpol@mandrake.org> 1.4.0-0.rc5.12mdk
- ouch, need coffee

* Fri Jul 23 2004 Marcel Pol <mpol@mandrake.org> 1.4.0-0.rc5.11mdk
- again build against new slang

* Wed Jul 21 2004 Marcel Pol <mpol@mandrake.org> 1.4.0-0.rc5.10mdk
- build against new slang

* Mon Jun 07 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4.0-0.rc5.9mdk
- force use of automake1.7 and autoconf2.5
- wipe out buildroot before installing
- cosmetics

